<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/academia.locale.php");


if(!comprobar_sesion()){
	mensaje($dtsLang[globals][ses_cad],$dtsLang[project][institucion]);
	exit;	
}
if(isset($_GET["accion"]) && $_GET["accion"]=="new"){
	$accion="new";
}else{
	$accion="edit";
}
$cdEst=$_GET['ideest']; 

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Nueva isasistencia</title>
<script type="text/javascript">

$(document).ready(function(e) {
 	$("#txt_materia_inasis").combogrid();
	$("input#txt_fecha_inasis").datepicker({
		maxDate: "0D",
		minDate: "-60D",
		onSelect:function(){
			$("input#txt_fecha_inasis").trigger("rvalida");
		}
	});
	var ideest='<?php echo $cdEst ?>'
	tipo=$("#accion").attr('acc');

	if(tipo!='new'){
		$("#oper").val("edit")
		$grid=$("#list_infoEstInasistencia");
		var id = $grid.getGridParam('selrow');
		dt=$grid.getRowData(id);
		$("#id").val(id);
		$("#txt_fecha_inasis").val(dt['fecha']);
		$("#txt_obs_inasis").val(dt['obs']); 
		$("#txt_materia_inasis").combogrid('setValue', dt['id_mat']);
		$("#txt_tipo_falta_inasis option[value="+dt['id_tip']+"]").attr("selected",true);
		$("#txtnhor").val(dt['nhr']);
	}else{
		$("#oper").val("new");
	}
	var btf=parseInt($("#txt_tipo_falta_inasis option:selected").val());
	$gridEst=$("#list_infoEst")
	id = $gridEst.getGridParam('selrow');
	dt=$gridEst.getRowData(id);
	$("#nom_estud").html("<b>"+dt['nom_ape']+"</b>");
	
	$("#accion").click(function(){
		var cad=[];
		if(tipo=='new'){
			msgexito=dtsLang.globals.newexito;
			var x= $("#txt_materia_inasis").combogrid('grid');
			var dts=x.datagrid('getSelections');
			$.each(dts,function(i,v){
				var ax=$("#hr"+v.id).val();
				cad.push({idm:v.id,nhr:ax})
			});
		}else{
			var x= $("#txt_materia_inasis").combogrid('grid');
			var dts=x.datagrid('getSelections');
			
			msgexito=dtsLang.globals.editexito;
			cad.push({idm:dts[0]['id'],nhr:$("#txtnhor").val()})
		}
		
		var newDt={
			nom_asi:$("#txt_materia_inasis").combogrid('getText'),	
			tipo:$("#txt_tipo_falta_inasis option:selected").text(),
			fecha:$("#txt_fecha_inasis").val(),
			obs:$("#txt_obs_inasis").val(),
			id_mat:$("#txt_materia_inasis").val()
		}

		var conf={
			url:'mod_inasistencias/opera_inasistencias.php',
			data:{
				periodo:$("select#md_n_periodo").val(),
				oper:tipo,
				txt_fecha_inasis:newDt.fecha,
				txt_obs_inasis:newDt.obs,
				txt_tipo_falta_inasis:$("#txt_tipo_falta_inasis option:selected").val(),
				dtMat:cad,
				id:$("#id").val(),
				oper:$("#oper").val(),
			},
			modulo:'inasistencias',
			empresa: dtsLang.project.institucion,
			msg_cmps_oblg:dtsLang.globals.cmpobl, //mensaje campos obligatorios
			msgExito:msgexito,
			msg_espere:dtsLang.globals.msg_espera,	
			id_grilla:'list_infoEstInasistencia'		,
			evento:tipo,
			frm:"#new_edit_inasistencia",
			data_grid:newDt,
			adicional:function(rta){
				jQuery("#list_infoEst").trigger('reloadGrid').setSelection(ideest);
				$("input.nhrs").remove().empty();
			}
		}
		acciones(conf);

	})
	
	
	$(this).bind('cbox_complete',function(){
		$("#txtcc").focus();
	})
	
	$("#txt_fecha_inasis").valida({
		lcapita:false,
		rulers:1,
		mincar:0,
		tipo:'f'
	});
	
});
</script>
</head>

<body>
<div style="margin:8px">
<div id="formInasistencias" class="k-shadow" style="height:auto !important; width:auto !important">
   <div class="k-header k-shadow" style="height:25px !important; text-align:center; line-height:25px" id="nom_estud"></div>
   <form action="" id="new_edit_inasistencia">
    <table border="0">
      <tr>
        <td colspan="2"><hr></td>
      </tr>
      <tr>
        <td class="tit1" <?php echo ($accion=='new') ? 'colspan="2"' : '' ?>><?php echo $dtsLang[inasistencias][materia_ina]  ?><div>
			<select class="campos" name="txt_materia_inasis[]" id="txt_materia_inasis" style="width:<?php echo ($accion=='new') ? '250px' :'200px' ?>  !important" 
				data-options="  
  					panelWidth: 280,
					panelHeight:150,
					multiple: <?php echo ($accion=='new') ? 'true' : 'false' ?>,  
					idField: 'id',  
					textField: 'name',  
					url: 'mod_inasistencias/list_materias_estxgrpxdc.php?id=<?php echo $cdEst ?>',  
					columns: [[  
						<?php echo ($accion=='new') ? "{field:'ck',checkbox:true}," : "" ?>
						{field:'id',title:'Codigo',width:10,hidden:true},  
						{field:'name',title:'Materia',width:150},
						<?php echo ($accion=='new') ? "{field:'hr',title:'Horas',width:45}," : "" ?>
					]],  
					fitColumns: true"
			>
			</select></div>
		</td>
		 <?php if($accion!='new'): ?>
        	<td align="right" class="tit1"><div>N° Horas</div><input type="text" id="txtnhor" size="3" maxlength="2"></td>
		 <?php endif; ?>
      </tr>
      <tr>
        <td class="tit1"><?php echo $dtsLang[inasistencias][fecha] ?><div><input name="txt_fecha_inasis"  type="text" id="txt_fecha_inasis" value="<?php echo date('Y-m-d') ?>"></div></td>
        <td class="tit1"><?php echo $dtsLang[inasistencias][tip_ina]  ?><div>
            <select class="campos" name="txt_tipo_falta_inasis" id="txt_tipo_falta_inasis">
              <option value="0">Justificada</option>
              <option value="1" selected="selected">Injustificada</option>
            </select></div>
        </td>
      </tr>
      <tr>
        <td colspan="2"><div class="tit1"><?php echo $dtsLang[inasistencias][observa_ina] ?></div><textarea style="width:290px !important" class="k-textbox"  name="txt_obs_inasis" cols="50" rows="10" id="txt_obs_inasis"></textarea></td>
      </tr>
      <tr>
        <td align="center" colspan="2">
            <input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
            <input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
            <a class="k-button" acc="<?php echo $accion ?>" name="accion"  id="accion" ><span class="k-icon ui-btn-save"></span></a>
        </td>
      </tr>
    </table>
  </form>
</div>
</div>
</body>
</html>